#include<stidio.h>
#include<stdlib.h>
#include<math.h>
int main()
{
    long long int v;
    scanf("%lld",&v);
    int br=0,d[3]={5,2,1},i=0,j,k=0,nov,d1,d2,d3;
    while(nov!=0)
    {
        k++;
        nov=v%10;
    }
    while((i<3)&&(nov!=0))
    {
        for(j=0;j<3;j++)
        {
            br=v/(10*k*d[i]);
            nov=v%(10*k*d[i]);
        }
        k--;
        i++;
    }
    printf("%d", br);
    return 0;
}